Bug 124267 - Incorrectly uses Clone definitions to override Primary
Incorrectly uses Clone definitions to override Primary
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i586 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 07:30 EDT by Tony Pattison
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 17:15:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Pattison 2004-05-25 07:30:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
If, as I do, you have a graphics card capable of multihead, you can 
get a situation where the best resolution if 640x480. This is forced 
upon the normal (higher) resolution by having a virtual "window" onto 
the desktop.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Plug in the "wrong" monitor with a multihead capable graphics card
2.Use X (either Gnome or KDE)
3.
    

Actual Results:  A 640x480 "window" onto a 1028x768 desktop (or gdm)

Expected Results:  A 1028x768 desktop filling my screen. Please note 
that I do not and never have had a second monitor.

Additional info:

Full description here :-
http://www.linuxforums.org/forum/viewtopic.php?t=19600

FIX.
Add these lines to the Device section of /etc/X11/XF86Config

Option "CloneHSync" "30.0-72.0" 
Option "CloneVRefresh" "50.0-160.0" 

(the numbers  - 30.0-72.0 and 50.0-160.0 - dependant upon monitor 
used)

And add a dummy screen and monitor section to the same config file.

This FIX / Work around works for Fedora Core 1 and Core 2, Mandrake 
10.0 Community (was not needed for Mandrake 9.2 or Slackware 9.1, 
which I have on the same PC).

Is this a bug or a feature that needs better documentation ?

regards
Tony
Comment 1 Mike A. Harris 2004-07-06 01:09:14 EDT
If you change monitors, you need to reconfigure the X server, or
it will not work correctly depending on the particulars of the
monitors and various other factors.  This issue may not occur
in the same way on Mandrake or other distributions perhaps due
to different configuration files settings between the distributions.

The Radeon driver in each of the 3 distributions is also quite
different.  The Clone settings you indicate may work around your
particular problem for your case, but they are not settings which
should be applied to all Radeon hardware for all users.  If you
rerun the config tool:  "system-config-display --reconfig" it will
generate a new config file, which will handle your new monitor.

Assuming your new monitor can be correctly DDC probed, it should
just work without any further configuration.  If the problem recurs
however, please attach your complete X server log and config file
from the problematic run for analasis.

Thanks for the report.
Comment 2 Mike A. Harris 2004-11-29 17:15:24 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core 3, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.